SD_ID128_RANDOMIZE(3)

NAME
sd_id128_randomize - Generate 128-bit IDs

SYNOPSIS

#include <systemd/sd-id128.h>

int sd_id128_randomize(sd_id128_t *ret);

DESCRIPTION

sd_id128_randomize() generates a new randomized 128-bit ID and returns it in ret. Every invocation returns a new randomly generated ID. This uses the /dev/urandom kernel random number generator.

Note that sd_id128_randomize() always returns a UUID Variant 1 Version 4 compatible ID. It is hence guaranteed that this function will never return the ID consisting of all zero or all one bits (SD_ID128_NULL, SD_ID128_ALLF).

For more information about the "sd_id128_t" type, see sd-id128(3).

systemd-id128(1)'s new command may be used as a command line front-end for sd_id128_randomize().

RETURN VALUE

The call returns 0 on success (in which case ret is filled in), or a negative errno-style error code.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

systemd(1), sd-id128(3), machine-id(5), random(4), sd_id128_get_machine(3)